# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 3.0.0 - 2021/09/17

### Fixed
  - Use top/left anchor point of the character in drawCharNative instead of baseline/left.
  - Fix drawStringNative method javaDoc.
  - Use VectorFont.getBaselinePosition in VectorFontPainter class.
  - Fix updateAngle() method to get same inter-character space size in both directions of drawStringArc().  

## 2.0.1 - 2021/09/03

### Added
  - Change ej.tool.frontpanel.vglite dependency version to 1.1.0.

## 2.0.0 - 2021/09/02

### Fixed
  
  - Size the font in number of pixels instead of points.
  - Change drawStringNative advance_y calculation formula to fix baseline aligment issue.
  - Change drawstringArcNative advance_y calculation formula to fix baseline aligment issue.
  - Crop colors in drawn area to respect display colors configuration.
  - Add getBaselinePositionNative method.

## 1.0.0 - 2021/05/31

### Added

  - Initial revision based on vectorfont natives implementation of MIMXRT595 Front Panel.

 ---
_Copyright 2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  
  