/*
 * C
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include "FreeRTOS.h"

#include "task.h"

#include "fsl_debug_console.h"

#include "mej_log.h"

// -----------------------------------------------------------------------------
// Project functions
// -----------------------------------------------------------------------------

void vApplicationStackOverflowHook( TaskHandle_t pxTask, signed char *pcTaskName ) {
    MEJ_LOG_ERROR("Stack overflow in task: %s\n", pcTaskName);

    do { } while(1);
}

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

