/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.cssgenerator.selector;

import org.w3c.css.sac.Condition;

import com.steadystate.css.parser.selectors.AttributeConditionImpl;

/**
 *
 */
public class AttributeValueSelector extends AbstractAttributeSelector {

	@Override
	public boolean matches(Condition condition) {
		if (!(condition instanceof AttributeConditionImpl)) {
			return false;
		}
		AttributeConditionImpl c = (AttributeConditionImpl) condition;
		if (c.getValue() != null) {
			return false;
		}
		return true;
	}

	@Override
	public String getClassName() {
		return "ej.style.selector.AttributeValueSelector";
	}

	@Override
	protected String getSelectorVariablePrefix() {
		return "attrValue";
	}

}
