/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.runtime.reader;

import java.io.IOException;

import ej.giml.GIMLReader;

/**
 * A {@link GIMLReaderFactory} that instantiates {@link GIMLReader} with a native implementation.
 */
public class GIMLReaderNativeFactory implements GIMLReaderFactory {

	@Override
	public GIMLReader newGIMLReader(String gimlBinaryPath) throws IOException {
		return new GIMLReaderNative(gimlBinaryPath);
	}

}
