/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea.nodes;

import com.is2t.icetea.IceteaSourceGenerator;
import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

public class MemoryStartAddress extends Expression{

	public Expression receiver;
	public int type;

	public MemoryStartAddress(Expression receiver, int type){
		this.receiver = receiver;
		this.type = type;		
	}
	
	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		((IceteaSourceGenerator)gen).generateMemoryStartAddress(this);
	}

}
