package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

/**
 * Java Statement :
 * 		break; 
 *  	break label;
 *  
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class BreakStatement extends GotoStatement{
	
	
	public BreakStatement(){
		super(null);
	}
	
	public BreakStatement( char[] label){
		super(label);
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateBreakStatement(this);
	}


}
