package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class CatchClause extends Statement {
	public LocalDeclaration exception;	// never null
	public Block catchBlock;			// never null
	
	public CatchClause ( LocalDeclaration exception, Block catchBlock) {
		this.exception = exception;
		this.catchBlock = catchBlock;
	}
	
	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateCatchClause( this);
		
	}
}
