package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;


public class ConstructorDeclaration extends AbstractMethodDeclaration {

	/**
	 * Constructor used to declare an external constructor
	 */
	public ConstructorDeclaration(TypeDeclaration type, char[] name) {
		super(type, name);
	}
	
	public ConstructorDeclaration(TypeDeclaration type, Modifiers modifiers, char[] name, LocalDeclaration[] parameters, Statement[] statements) {
		super(type, name);
		initialize(modifiers, parameters,  statements);
	}

	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateConstructorDeclaration(this);
	}

}
