package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

/**
 * Pre or post incrementation
 * 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class IncrementExpression extends UnaryExpression {
	
	public static final boolean Prefix = true;
	public static final boolean Postfix = false;
	
	public boolean mode;	

	// assume that operand = Operators.Incr or Operators.Decr
	public IncrementExpression( int operator, Expression operand, boolean mode) {
		super(operator, operand);
		this.mode= mode;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateIncrementExpression( this);
		
	}
}
