/*
 * Java
 *
 * Copyright 2009-2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.java.nodes.expressions;

public interface Operators {
	//same value as ist.nodes.Operators
	// see IceTeaToJavaGenerator.convertOperator();
	int Plus = 1;
	int Minus = 2;
	int PreIncr = 3;
	int PreDecr = 4;
	int Multiply = 5;
	int Divide = 6;
	int Remainder = 7;
	int LeftShift = 10;
	int RightShift = 11;
	int UnsignedRightShift = 12;
	int LowerThan = 13;
	int GreaterThan = 14;
	int LowerThanOrEqual = 15;
	int GreaterThanOrEqual = 16;
	int Instanceof = 17 ;
	int Equal = 18; //====these 10 next operators must be consecutive (allow tableswitch instead of lookupswitch)
	int NotEqual = 19;
	int BitwiseAnd =20 ;
	int BitwiseXor =21;
	int BitwiseOr =22;
	int And = 23;
	int Or = 24;
	int AssignmentBitwiseAnd = 25;
	int AssignmentBitwiseXor = 26 ;
	int AssignmentBitwiseOr =27;
	int AssignmentRemainder = 28;
	int AssignmentPlus = 29;
	int AssignmentMinus = 30;
	int AssignmentLeftShift = 31;
	int AssignmentRightShift = 32 ;
	int AssignmentUnsignedRightShift =33;
	int Assignment = 34;
	int AssignmentMultiply = 35;
	int AssignmentDivide = 36;
	int Not = 37;
	int BitwiseComplement = 38;
	int QuestionColon = 39; //a fake value for consistency
	int StringAdd = 40;
	int AssignmentStringAdd = 41;

	int PostIncr = 42;
	int PostDecr = 43;

	int NbOperator = 45; //new int[NbOperator+1] is an array that may index all operators
}
