/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.ecom.wifi;

/**
 * List of Wi-Fi Protected Setup (WPS) modes.
 */
public enum WPSMode {
	/**
	 * No method.
	 */
	NONE,
	/**
	 * Near Field Communication (NFC) method.
	 */
	NFC,
	/**
	 * Personal Identification Number (PIN) method.
	 */
	PIN,
	/**
	 * Push button method.
	 */
	PushButton,
	/**
	 * USB method.
	 */
	USB

}
