/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.fp.widget;

import ej.microui.event.EventCommand;

public class ButtonListener implements ej.fp.widget.Button.ButtonListener {

	@Override
	public void press(Button widget) {
		// do not send a Command on press event
	}

	@Override
	public void release(Button widget) {
		switch (widget.getID()) {
		case 0:
			EventCommand.sendEvent(EventCommand.UP);
			break;
		case 1:
			EventCommand.sendEvent(EventCommand.DOWN);
			break;
		}
	}
}
