/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.model.test.description;

import java.io.InputStream;
import java.io.StringWriter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;

import org.junit.Ignore;

import com.is2t.giml.description.Description;
import com.is2t.giml.description.Type;
import com.is2t.giml.description.Type.Basetype;

/**
 * The class {@code Root2Description} is a fake description class for a node named "root2".
 */
@Ignore
public class Root2Description implements Description {

	private static final String ELEMENT = "element";

	@Override
	public void generateChild(String arg0, String arg1, Map<String, String> arg2, String arg3, StringWriter arg4) {
		// not tested
	}

	@Override
	public void generateInitialization(String arg0, Map<String, String> arg1, StringWriter arg2) {
		// not tested
	}

	@Override
	public Object newInstance(ClassLoader classLoader, Map<String, Object> attributes) {
		// not tested
		return null;
	}

	@Override
	public void addChild(ClassLoader classLoader, Object receiver, String elementName, Map<String, Object> attributes,
			Object child) {
		// not tested
	}

	@Override
	public Type getAttributeType(String arg0) {
		// not tested
		return null;
	}

	@Override
	public String getDefaultElement() {
		return null;
	}

	@Override
	public Type getElementAttributeType(String arg0, String arg1) {
		// not tested
		return null;
	}

	@Override
	public Type getElementType(String arg0) {
		return new Type(Basetype.Object, "com.is2t.giml.model.test.Root2");
	}

	@Override
	public Collection<String> getElements() {
		Collection<String> elements = new ArrayList<String>();
		elements.add(ELEMENT);
		return elements;
	}

	@Override
	public boolean isRoot() {
		return true;
	}

	@Override
	public boolean hasOrderedElements() {
		// not tested
		return false;
	}

	@Override
	public int getElementMaxCardinality(String elementName) {
		// not tested
		return 0;
	}

	@Override
	public Collection<String> getElementAttributes(String elementName) {
		// // not tested
		return null;
	}

	@Override
	public String getClassName() {
		// not tested
		return null;
	}

	@Override
	public String getFriendlyName() {
		// not tested
		return null;
	}

	@Override
	public String getDescription() {
		// not tested
		return null;
	}

	@Override
	public InputStream getIcon16() {
		// not tested
		return null;
	}

	@Override
	public InputStream getIcon24() {
		// not tested
		return null;
	}

	@Override
	public String getTag() {
		// not tested
		return null;
	}

	@Override
	public boolean isRequiredAttribute(String attributeName) {
		// not tested
		return false;
	}

	@Override
	public Collection<String> getAttributes() {
		// not tested
		return null;
	}
}
