package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.LocalDeclaration;

public class LocalAccess extends Expression{

	public LocalDeclaration declaration;	//never null	
	
	public LocalAccess( LocalDeclaration declaration) {
		this.declaration = declaration;
	}
	
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateLocalAccess(this);
	}
	
}
