/*
 * Java
 *
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map;

import java.io.File;

public class InvalidMapFile extends Exception {

	private final File file;
	private final String causeMessage;

	public InvalidMapFile(File file, String cause) {
		this.file = file;
		this.causeMessage = cause;
	}

	public String getMessage() {
		return "Invalid Map File: " + causeMessage + " (" + file.getAbsolutePath() + ")";
	}
}
