/*
 * Java
 *
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map.event;

import com.is2t.linker.map.IMapFileInterpretor2;
import com.is2t.tools.graph.IGraph;

public class GraphSubstraction extends GraphEvent {

	private final IGraph[] gs;
	private final IGraph initial;

	public GraphSubstraction(IMapFileInterpretor2 source, IGraph result, IGraph initial, IGraph[] gs) {
		super(source, result);
		this.initial = initial;
		this.gs = gs;
	}

	public GraphSubstraction(IMapFileInterpretor2 source, IGraph result, IGraph g1, IGraph g2) {
		this(source, result, g1, new IGraph[] { g2 });
	}

}
