/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.support.security.digest;

import com.is2t.support.security.NativeResource;



public class NativeMessageDigestResource extends NativeResource {

	private final int nativeAlgorithmId;

	public NativeMessageDigestResource(NativeMessageDigestSpi messageDigestSpi, int nativeAlgorithmId,
			int nativeId) {
		super(messageDigestSpi, nativeId);
		this.nativeAlgorithmId = nativeAlgorithmId;

	}

	@Override
	protected synchronized void closeNativeResource(int nativeId) {
		NativeMessageDigestSpi.nativeClose(nativeAlgorithmId, nativeId);

	}
}
